petsc-3.4.2 2013-07-02

# PetscOptionsSetFromOptions

Sets various SNES and KSP parameters from user options.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsSetFromOptions(void)

Collective on PETSC_COMM_WORLD

### Options Database Keys

| -options_monitor <optional filename> | - prints the names and values of all runtime options as they are set. The monitor functionality is not available for options set through a file, environment variable, or on the command line. Only options set after PetscInitialize completes will be monitored.
| -options_monitor_cancel | - cancel all options database monitors

### Notes

To see all options, run your program with the -help option or consult the <A href="../../docs/manual.pdf">users manual</A>..

### Keywords

set, options, database

Level:intermediate
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html